﻿define([
    "dojo/_base/lang",
    "dojo/_base/declare",
    "dojo/topic",
    "dijit/form/Button",
    "epi-cms/widget/ViewSwitchButton"
], function (
    lang,
    declare,
    topic,
    Button,
    ViewSwitchButton
) {
        var buttons = [
            {
                name: "On Page Editing",
                key: "onpageedit",
                selected: false
            },
            {
                name: "Form Editing",
                key: "formedit",
                selected: false
            },
            {
                name: "On Page Editing",
                key: "onpageedit",
                selected: false
            },
            {
                name: "Form Editing",
                key: "formedit",
                selected: false
            }
        ];

        lang.mixin(ViewSwitchButton.prototype, {
            _createButton: function () {
                var btn = null;
                //Find an empty button
                for (var i = 0; i < buttons.length; i++) {
                    if (!buttons[i].selected) {
                        btn = buttons[i];
                        btn.selected = true;
                        break;
                    }
                }
                //Create button
                var button = new Button({
                    label: btn.key,
                    showLabel: false,
                    onClick: function (e) {
                        topic.publish("/epi/shell/action/changeview", this.params.label, null, null, true);
                    }
                });

                button.placeAt(this.domNode);
                return button;
            }
        });
    });